| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
Tuples::detail::ErrorHandler< OBJECT, FUNCTION > Class Template Reference

Concrete error handlers for dealing with classes, which supports member functions Error,Warning and Print ( e.g. More...

`#include <GaudiAlg/TupleDetail.h>`

Collaboration diagram for Tuples::detail::ErrorHandler< OBJECT, FUNCTION >:
[legend]

## Public Member Functions
| ErrorHandler (const OBJECT *obj, FUNCTION fun)
| constructor More...
StatusCode | operator() (const std::string &msg, const StatusCode sc, const size_t mp=10) const
| the only one 'useful' method More...

## Private Member Functions
| ErrorHandler ()

## Private Attributes
const OBJECT * | m_obj = nullptr
FUNCTION | m_fun

## Detailed Description

### template<class OBJECT, class FUNCTION>
class Tuples::detail::ErrorHandler< OBJECT, FUNCTION >

Concrete error handlers for dealing with classes, which supports member functions Error,Warning and Print ( e.g.

class GaudiAlgorithm or class GaudiTool ) are provided

Author
  Vanya BELYAEV Ivan..nosp@m.Bely.nosp@m.aev@i.nosp@m.tep..nosp@m.ru

Date
  2004-1-24

Definition at line 172 of file TupleDetail.h.

## Constructor & Destructor Documentation

template<class OBJECT, class FUNCTION>

Tuples::detail::ErrorHandler< OBJECT, FUNCTION >::ErrorHandler | ( | const OBJECT * | obj,
|  | FUNCTION | fun
| ) |  |
| inline

constructor

Definition at line 176 of file TupleDetail.h.

178 : m_obj ( obj ) , m_fun ( fun ) {}
Tuples::detail::ErrorHandler::m_obj
const OBJECT * m_obj
Definition: TupleDetail.h:191
Tuples::detail::ErrorHandler::m_fun
FUNCTION m_fun
Definition: TupleDetail.h:192
fun
double fun(const std::vector< double > &x)
Definition: PFuncTest.cpp:26
template<class OBJECT, class FUNCTION>

Tuples::detail::ErrorHandler< OBJECT, FUNCTION >::ErrorHandler | ( |  | ) |
| private

## Member Function Documentation

template<class OBJECT, class FUNCTION>

StatusCode Tuples::detail::ErrorHandler< OBJECT, FUNCTION >::operator() | ( | const std::string & | msg,
|  | const StatusCode | sc,
|  | const size_t | mp = `10`
| ) |  | const
| inline

the only one 'useful' method

Definition at line 181 of file TupleDetail.h.

184 {
185 return (m_obj->*m_fun)( msg , sc , mp ) ;
186 }
GaudiMP.FdsRegistry.msg
tuple msg
Definition: FdsRegistry.py:8
Tuples::detail::ErrorHandler::m_obj
const OBJECT * m_obj
Definition: TupleDetail.h:191
merge_files.sc
int sc
Definition: merge_files.py:167
Tuples::detail::ErrorHandler::m_fun
FUNCTION m_fun
Definition: TupleDetail.h:192

## Member Data Documentation

template<class OBJECT, class FUNCTION>

FUNCTION Tuples::detail::ErrorHandler< OBJECT, FUNCTION >::m_fun
| private

Definition at line 192 of file TupleDetail.h.

template<class OBJECT, class FUNCTION>

const OBJECT* Tuples::detail::ErrorHandler< OBJECT, FUNCTION >::m_obj = nullptr
| private

Definition at line 191 of file TupleDetail.h.

The documentation for this class was generated from the following file:

- GaudiAlg/GaudiAlg/TupleDetail.h